﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using Infragistics.Controls.Menus;

namespace XamDockManagerTesting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm;
        public MainWindow()
        {
            InitializeComponent();
            vm = new ViewModel();
            this.DataContext = vm.Items;
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            cp.Visibility = Visibility.Collapsed;

            var pane = new ContentPane() { Name = "cpNew", Header = "Added Dynamically", IsPinned = false };
            var pane2 = new ContentPane() { Name = "cpNew2", Header = "Added Dynamically 2", IsPinned = false };

            cp.Visibility = Visibility.Visible;
            await Task.Delay(1000);

            tgp.Items.Clear();
            tgp.Items.Insert(0, pane);
            tgp.Items.Insert(1, pane2);
        }
    }
}
